KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase certs front-proxy-ca - Generate the self-signed CA to provision identities for front proxy

SYNOPSIS

kubeadm init phase certs front-proxy-ca [OPTIONS]

DESCRIPTION

Generate the self-signed CA to provision identities for front proxy, and save them into front-proxy-ca.crt and front-proxy-ca.key files.

If both files already exist, kubeadm skips the generation step and existing files will be used.

OPTIONS

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Don't apply any changes; just output what would be done.

--kubernetes-version="stable-1"
    Choose a specific Kubernetes version for the control plane.

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-init-phase-certs(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!